### 8.185 `NULL` — Function that returns an disassociated pointer

Description:
  Returns a disassociated pointer.

  If MOLD is present, a disassociated pointer of the same type is returned, otherwise the type is determined by context.

  In Fortran 95, MOLD is optional. Please note that Fortran 2003 includes cases where it is required.

Standard:
  Fortran 95 and later
Class:
  Transformational function
Syntax:
  `PTR => NULL([MOLD])`
Arguments:

  MOLD | (Optional) shall be a pointer of any association status and of any type.

Return value:
  A disassociated pointer.
Example:

                REAL, POINTER, DIMENSION(:) :: VEC => NULL ()

See also:
  ASSOCIATED